print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricewine = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local wineHudFile = "Paletten/hud_fill_wine.dds"
	local wineHudFileSmall = "Paletten/hud_fill_wine_small.dds"
	
    local wineFilType = g_fillTypeManager:addFillType("WINE", g_i18n:getText("wine"), true, pricewine * 2.0, 0.00045, math.rad(10), wineHudFile, wineHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local haswine=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	haswine=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "WINE" then
		haswine=true
	end;
		
end;

		if hasmaize and not haswine then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("WINE")
		local price = g_fillTypeManager:getFillTypeByName("WINE").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("WINE")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)